<?php
/**
 * Admin file for all actions, filters and shortcodes.
 *
 * @package Responsive Testimonial Slider
 */

defined( 'ABSPATH' ) || die();

require_once( WL_RTS_PLUGIN_DIR_PATH . 'admin/inc/wl-rts-testimonial-admin.php' );
require_once( WL_RTS_PLUGIN_DIR_PATH . 'includes/wl-rts-helper.php' );

/* Add metaboxes */
add_action( 'add_meta_boxes', array( 'Wl_RTS_Testimonial_Admin', 'add_meta_boxes' ) );

/* Enqueue scripts and styles */
add_action( 'admin_enqueue_scripts', array( 'Wl_RTS_Testimonial_Admin', 'enqueue_scripts_styles' ) );

/* Save metaboxes */
add_action( 'save_post', array( 'Wl_RTS_Testimonial_Admin', 'save_metaboxes' ), 10, 2 );

/* Change title text */
add_filter( 'enter_title_here', array( 'Wl_RTS_Testimonial_Admin', 'change_title_text' ) );

/* Set Testimonial columns */
add_filter( 'manage_testimonial_posts_columns', array( 'Wl_RTS_Testimonial_Admin', 'set_columns' ) );
add_action( 'manage_testimonial_posts_custom_column', array( 'Wl_RTS_Testimonial_Admin', 'manage_col' ), 10, 2 );
