<?php
defined( 'ABSPATH' ) || die();

wp_enqueue_script( 'popper', WL_RTS_PLUGIN_URL . 'assets/js/popper.min.js', array( 'jquery' ), true, true );
wp_enqueue_script( 'wltp-bootstrap', WL_RTS_PLUGIN_URL . 'assets/js/bootstrap.min.js', array( 'jquery' ), true, true );
wp_enqueue_script( 'owl-carousel', WL_RTS_PLUGIN_URL . 'assets/js/owl.carousel.min.js', array(), true, true );
wp_enqueue_style( 'wltp-bootstrap', WL_RTS_PLUGIN_URL . 'assets/css/bootstrap.min.css', array(), true, 'all' );
wp_enqueue_style( 'owl-carousel', WL_RTS_PLUGIN_URL . 'assets/css/owl.carousel.min.css', array(), true, 'all' );
wp_enqueue_style( 'owl-theme', WL_RTS_PLUGIN_URL . 'assets/css/owl.theme.min.css', array(), true, 'all' );
wp_enqueue_style( 'wltp-card', WL_RTS_PLUGIN_URL . 'public/inc/layouts/card-box-layout/css/card-style.css', array(), true, 'all' );
wp_register_script( 'wltp-card', '', array( 'jquery' ), true, true );
wp_enqueue_script( 'wltp-card' );

$card_box_js = '(function($) {
"use strict";
    jQuery(document).ready(function(){
        jQuery("#testimonial-card-slider").owlCarousel({
            items: ' . $layout3['show_testimonial_per_slide'] . ',
            itemsDesktop: false,
            itemsDesktopSmall: false,
            itemsTablet: [768,2],
            itemsMobile: [479,1],
            pagination: ' . ( $layout3['show_pagination'] ? 'true' : 'false' ) . ',
            paginationNumbers: ' . ( $layout3['show_pagination_number'] ? 'true' : 'false' ) . ',
            navigation: ' . ( $layout3['show_navigation'] ? 'true' : 'false' ) . ',
            autoPlay: ' . ( $layout3['show_autoplay'] ? 'true' : 'false' ) . ',
            paginationSpeed : ' . $layout3['show_pagination_speed'] . ',
            rewindNav : ' . ( $layout3['show_rewind_navigation'] ? 'true' : 'false' ) . ',
            rewindSpeed : ' . $layout3['show_rewind_speed'] . ',
            navigationText:["' . esc_html__( 'Prev', 'responsive-testimonial-slider' ) . '","' . esc_html__( 'Next', 'responsive-testimonial-slider' ) . '"]
        });
    });
})(jQuery);';
wp_add_inline_script( 'wltp-card', $card_box_js );

$card_box_css = '
.testimonial_card_link a:active, .testimonial_card_link a:focus.testimonial_card_link a, .testimonial_card_link a:hover, .testimonial_card_link a:link, .testimonial_card_link a:visited {
    color: ' . sanitize_hex_color( $layout3['link_color'] ) . ';' .
'}
.wltp_card_email {
    color: ' . sanitize_hex_color( $layout3['link_color'] ) . ';' .
'}
.wltp-card-testimonial-rating li {
    color: ' . sanitize_hex_color( $layout3['rating_color'] ) . ';' .
'}
.wltp-card-testimonial {
    background: ' . sanitize_hex_color( $layout3['card_background_color'] ) . ';' .
'}
.wltp-card-testimonial {
    border-left: 4px solid ' . sanitize_hex_color( $layout3['card_border_color'] ) . ';' .
'}
.wltp-card-testimonial:before {
    border-top: 25px solid ' . sanitize_hex_color( $layout3['card_border_color'] ) . ';' .
'}
.wltp-card-testimonial .wltp-card-testimonial-description {
    color: ' . sanitize_hex_color( $layout3['card_font_color'] ) . ';' .
'}
.wltp-card-testimonial .wltp-card-testimonial-description-title p {
    color: ' . sanitize_hex_color( $layout3['description_title_color'] ) . ';' .
'}
.wltp-card-testimonial .wltp-card-testimonial-title {
    color: ' . sanitize_hex_color( $layout3['title_color'] ) . ';' .
'}
#testimonial-card-slider .owl-controls .owl-page.active span, .owl-theme .owl-controls .owl-page:hover span {
    background: ' . sanitize_hex_color( $layout3['card_navigation_color'] ) . ';' .
'}
#testimonial-card-slider .owl-controls .owl-page span {
    border: 2px solid ' . sanitize_hex_color( $layout3['card_navigation_color'] ) . ';' .
'}
#testimonial-card-slider .owl-controls .owl-buttons div {
    background: ' . sanitize_hex_color( $layout3['card_navigation_color'] ) . ';' .
'}
h4.wltp-card-designation {
    color: ' . sanitize_hex_color( $layout3['designation_color'] ) . ';' .
'}
.wltp-card-testimonial .wltp-card-testimonial-description:before {
    color: ' . sanitize_hex_color( $layout3['designation_color'] ) . ';' .
'}';
wp_add_inline_style( 'wltp-card', $card_box_css );
?>

<div class="container">
	<div class="row">
		<div class="col-md-12">
			<div id="testimonial-card-slider" class="owl-carousel">
				<?php foreach ( $layout_data as $key => $value ) : ?>
							<?php
								$title                    = isset( $value['title'] ) ? esc_attr( $value['title'] ) : '';
								$profile_photo            = isset( $value['profile_photo'] ) ? esc_url( $value['profile_photo'] ) : '';
								$site_url                 = isset( $value['site_url'] ) ? esc_url( $value['site_url'] ) : '';
								$designation              = isset( $value['designation'] ) ? esc_attr( $value['designation'] ) : '';
								$testimonial_description  = isset( $value['testimonial_description'] ) ? esc_attr( $value['testimonial_description'] ) : '';
								$testimonial_rating       = isset( $value['testimonial_rating'] ) ? esc_attr( $value['testimonial_rating'] ) : '';
								$description_title        = isset( $value['description_title'] ) ? esc_attr( $value['description_title'] ) : '';

							?>
				<div class="wltp-card-testimonial">
					<div class="wltp-card-client-photo">
					<?php if ( $layout3['show_client_photo'] ) { ?>
						<span value="<?php echo esc_url( $profile_photo ); ?>"><img src="<?php echo esc_url( $profile_photo ); ?>"></span>					
						<?php
					}
					?>
					</div>
					<div class="wltp-card-testimonial-description">
						<div class="wltp-card-testimonial-description-title">
							<p><?php echo esc_attr( $description_title ); ?></p>
						</div>
						<p><?php echo esc_attr( $testimonial_description ); ?></p>
					</div>
					<h3 class="wltp-card-testimonial-title">
							<?php if ( $layout3['show_title'] ) { ?>
									<span><?php echo esc_html( $title ); ?></span>
								<?php
							}
							?>
					</h3>                        
					<h4 class="wltp-card-designation">
						<?php if ( $layout3['show_designation'] ) { ?>
									<span><?php echo esc_html( $designation ); ?></span>                                        
							<?php
						}
						?>
					</h4>
					<div class="testimonial_card_link">
						<?php if ( $layout3['show_site_url'] ) { ?>
								<span><a href="<?php echo esc_url( $site_url ); ?>" target="blank"><?php echo esc_url( $site_url ); ?></a></span>
							<?php
						}
						?>
					</div>

					<ul class="wltp-card-testimonial-rating">
						<?php
						if ( $layout3['show_rating'] ) {
							$testimonial_rating = number_format( (float) $testimonial_rating, 1 );
							$intpart            = floor( $testimonial_rating );
							$fraction           = $testimonial_rating - $intpart;
							$unrated            = 5 - ceil( $testimonial_rating );

							if ( $intpart <= 5 ) {
								for ( $i = 0; $i < $intpart; $i++ ) {
									?>
										<li><i class="fas fa-star"></i></i></li>
									<?php
								}
							}

							if ( 0.5 == $fraction ) {
								?>
									<li><i class="fas fa-star-half-alt"></i></li>
								<?php
							}

							if ( $unrated > 0 ) {
								for ( $j = 0; $j < $unrated; $j++ ) {
									?>
										<li><i class="far fa-star"></i></li>
									<?php
								}
							}
						}
						?>
					</ul>
				</div>
				<?php endforeach; ?>
			</div>
		</div>
	</div>
</div>
