<?php
defined( 'ABSPATH' ) || die();

wp_enqueue_script( 'popper', WL_RTS_PLUGIN_URL . 'assets/js/popper.min.js', array( 'jquery' ), true, true );
wp_enqueue_script( 'wltp-bootstrap', WL_RTS_PLUGIN_URL . 'assets/js/bootstrap.min.js', array( 'jquery' ), true, true );
wp_enqueue_script( 'owl-carousel', WL_RTS_PLUGIN_URL . 'assets/js/owl.carousel.min.js', array(), true, true );
wp_enqueue_style( 'wltp-bootstrap', WL_RTS_PLUGIN_URL . 'assets/css/bootstrap.min.css', array(), true, 'all' );
wp_enqueue_style( 'owl-carousel', WL_RTS_PLUGIN_URL . 'assets/css/owl.carousel.min.css', array(), true, 'all' );
wp_enqueue_style( 'owl-theme', WL_RTS_PLUGIN_URL . 'assets/css/owl.theme.min.css', array(), true, 'all' );
wp_enqueue_style( 'wltp-quotes', WL_RTS_PLUGIN_URL . 'public/inc/layouts/quotes-layout/css/quotes-style.css', array(), true, 'all' );
wp_register_script( 'wltp-quotes', '', array( 'jquery' ), true, true );
wp_enqueue_script( 'wltp-quotes' );

$quotes_js = '(function($) {
"use strict";
    jQuery(document).ready(function(){
        jQuery("#testimonial-quotes-slider").owlCarousel({
            items:1,
            itemsDesktop:[1199, 1],
            itemsDesktopSmall:[979,1],
            itemsTablet:[768,1],
            itemsMobile:[479,1],
            pagination: false,
            paginationNumbers: false,
            navigation: ' . ( $layout4['show_navigation'] ? 'true' : 'false' ) . ',
            autoPlay: ' . ( $layout4['show_autoplay'] ? 'true' : 'false' ) . ',
            stopOnHover : ' . ( $layout4['show_stop_on_hover'] ? 'true' : 'false' ) . ',
            paginationSpeed : false,
            rewindNav : ' . ( $layout4['show_rewind_navigation'] ? 'true' : 'false' ) . ',
            rewindSpeed : ' . $layout4['show_rewind_speed'] . ',
            navigationText:["' . esc_html__( 'Prev', 'responsive-testimonial-slider' ) . '","' . esc_html__( 'Next', 'responsive-testimonial-slider' ) . '"]
        });
    });
})(jQuery);';
wp_add_inline_script( 'wltp-quotes', $quotes_js );

$quotes_theme_css = '
.testimonial_quotes_link a:active, .testimonial_quotes_link a:focus.testimonial_quotes_link a, .testimonial_quotes_link a:hover, .testimonial_quotes_link a:link, .testimonial_quotes_link a:visited {
    color: ' . sanitize_hex_color( $layout4['link_color'] ) . ';' .
'}
.wltp_quotes_email {
    color: ' . sanitize_hex_color( $layout4['link_color'] ) . ';' .
'}
.wltp-quotes-testimonial-rating li {
    color: ' . sanitize_hex_color( $layout4['rating_color'] ) . ';' .
'}
.wltp-quotes-testimonial .wltp-quotes-testimonial-content {
    background: ' . sanitize_hex_color( $layout4['card_background_color'] ) . ';' .
'}
.wltp-quotes-testimonial .wltp-quotes-client-photo:before, .wltp-quotes-testimonial .wltp-quotes-client-photo:after {
    background: ' . sanitize_hex_color( $layout4['card_border_color'] ) . ';' .
'}
.wltp-quotes-testimonial .wltp-quotes-client-photo img {
    border: 3px solid ' . sanitize_hex_color( $layout4['card_border_color'] ) . ';' .
'}
.wltp-quotes-testimonial .wltp-quotes-testimonial-description {
    color: ' . sanitize_hex_color( $layout4['card_font_color'] ) . ';' .
'}
.wltp-quotes-testimonial .wltp-quotes-testimonial-description-title {
    color: ' . sanitize_hex_color( $layout4['description_title_color'] ) . ';' .
'}
.wltp-quotes-testimonial .wltp-quotes-testimonial-title {
    color: ' . sanitize_hex_color( $layout4['title_color'] ) . ';' .
'}
#testimonial-quotes-slider .owl-controls .owl-buttons div {
    background: ' . sanitize_hex_color( $layout4['card_navigation_color'] ) . ';' .
'}
h4.wltp-quotes-designation {
    color: ' . sanitize_hex_color( $layout4['designation_color'] ) . ';' .
'}
.wltp-quotes-testimonial .wltp-quotes-testimonial-description:before, .wltp-quotes-testimonial .wltp-quotes-testimonial-description:after {
    color: ' . sanitize_hex_color( $layout4['designation_color'] ) . ';' .
'}';
wp_add_inline_style( 'wltp-quotes', $quotes_theme_css );
?>
<div class="demo">
	<div class="container">
		<div class="row">
			<div class="col-md-12">
				<div id="testimonial-quotes-slider" class="owl-carousel">
					<?php foreach ( $layout_data as $key => $value ) : ?>
							<?php
								$title                    = isset( $value['title'] ) ? esc_attr( $value['title'] ) : '';
								$profile_photo            = isset( $value['profile_photo'] ) ? esc_url( $value['profile_photo'] ) : '';
								$site_url                 = isset( $value['site_url'] ) ? esc_url( $value['site_url'] ) : '';
								$designation              = isset( $value['designation'] ) ? esc_attr( $value['designation'] ) : '';
								$testimonial_description  = isset( $value['testimonial_description'] ) ? esc_attr( $value['testimonial_description'] ) : '';
								$testimonial_rating       = isset( $value['testimonial_rating'] ) ? esc_attr( $value['testimonial_rating'] ) : '';
								$description_title        = isset( $value['description_title'] ) ? esc_attr( $value['description_title'] ) : '';
							?>
					<div class="wltp-quotes-testimonial">
						<div class="wltp-quotes-client-photo">
							<?php if ( $layout4['show_client_photo'] ) { ?>
								<span value="<?php echo esc_url( $profile_photo ); ?>"><img src="<?php echo esc_url( $profile_photo ); ?>"></span>					
							<?php
							} else {
									wp_add_inline_style( 'wltp-quotes', '.wltp-quotes-testimonial .wltp-quotes-testimonial-content { width: 100%; }' );
							}
							?>
						</div>
						<div class="wltp-quotes-testimonial-content">
							<h3 class="wltp-quotes-testimonial-title">
									<?php if ( $layout4['show_title'] ) { ?>
										<span><?php echo esc_html( $title ); ?></span>
										<?php
									}
									?>
							</h3>
							<h4 class="wltp-quotes-designation">
								<?php if ( $layout4['show_designation'] ) { ?>
										<span><?php echo esc_html( $designation ); ?></span>
									<?php
								}
								?>
							</h4>
							<div class="testimonial_quotes_link">
								<?php if ( $layout4['show_site_url'] ) { ?>
										<span><a href="<?php echo esc_url( $site_url ); ?>" target="blank"><?php echo esc_url( $site_url ); ?></a></span>
									<?php
								}
								?>
							</div>

							<div class="wltp-quotes-testimonial-description-title">
								<?php echo esc_attr( $description_title ); ?>
							</div>
							<div class="wltp-quotes-testimonial-description">
								<?php echo esc_attr( $testimonial_description ); ?>
							</div>
						<ul class="wltp-quotes-testimonial-rating">
							<?php
							if ( $layout4['show_rating'] ) {
								$testimonial_rating = number_format( (float) $testimonial_rating, 1 );
								$intpart            = floor( $testimonial_rating );
								$fraction           = $testimonial_rating - $intpart;
								$unrated            = 5 - ceil( $testimonial_rating );

								if ( $intpart <= 5 ) {
									for ( $i = 0; $i < $intpart; $i++ ) {
										?>
										<li><i class="fas fa-star"></i></i></li>
										<?php
									}
								}
								if ( 0.5 == $fraction ) {
									?>
									<li><i class="fas fa-star-half-alt"></i></li>
									<?php
								}

								if ( $unrated > 0 ) {
									for ( $j = 0; $j < $unrated; $j++ ) {
										?>
										<li><i class="far fa-star"></i></li>
										<?php
									}
								}
							}
							?>
						</ul>
						</div>
					</div>
				<?php endforeach; ?>
				</div>
			</div>
		</div>
	</div>
</div>
